<?php

// dołączenie plików funkcji tej aplikacji
require_once('funkcje_ksiazka_kz.php');
session_start();

tworz_naglowek_html("Dodawanie książki");
if (sprawdz_uzyt_admin()) {
  if (wypelniony($_POST)) {
    $isbn = $_POST['isbn'];
    $tytul = $_POST['tytul'];
    $autor = $_POST['autor'];
    $idkat = $_POST['idkat'];
    $cena = $_POST['cena'];
    $opis = $_POST['opis'];

    if(dodaj_ksiazke($isbn, $tytul, $autor, $idkat, $cena, $opis)) {
      echo "<p>Książka <em>".htmlspecialchars($tytul)."</em> została dodana do bazy danych.</p>";
    } else {
      echo "<p>Książka <em>".htmlspecialchars($tytul)."</em> nie mogła zostać dodana do bazy danych.</p>";
    }
  } else {
    echo "<p>Formularz nie został wypełniony. Proszę spróbować ponownie.</p>";
  }
  tworz_html_url("admin.php", "Powrót do menu administratora");
} else {
  echo "<p>Brak autoryzacji do przeglądania tej strony.</p>";
}

tworz_stopke_html();

?>